aboutsummaryrefslogtreecommitdiffstats
path: root/wzdftpd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-02-09 23:58:08 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-02-09 23:58:08 +0000
commit85e126adea440d5f1f2b0d08a64f86f7ff36b7e5 (patch)
tree324c235ebf8b1152df5f720c0c6a71f5cb1dbf79 /wzdftpd
parent3759a8c677c2e3bcb76824780a37c7dadc73cfd2 (diff)
downloadaports-85e126adea440d5f1f2b0d08a64f86f7ff36b7e5.tar.gz
aports-85e126adea440d5f1f2b0d08a64f86f7ff36b7e5.tar.bz2
aports-85e126adea440d5f1f2b0d08a64f86f7ff36b7e5.tar.xz
wzdftpd: new aport
Diffstat (limited to 'wzdftpd')
-rw-r--r--wzdftpd/APKBUILD46
-rw-r--r--wzdftpd/wzdftpd-svn.initd28
2 files changed, 74 insertions, 0 deletions
diff --git a/wzdftpd/APKBUILD b/wzdftpd/APKBUILD
new file mode 100644
index 0000000000..1606b45ad3
--- /dev/null
+++ b/wzdftpd/APKBUILD
@@ -0,0 +1,46 @@
+# This is an example APKBUILD file. Use this as a start to creating your own,
+# and remove these comments.
+# NOTE: Please fill out the license field for your package! If it is unknown,
+# then please put 'unknown'.
+
+# Contributor: Your Name <youremail@domain.com>
+pkgname=wzdftpd-svn
+pkgver=2040
+pkgrel=0
+pkgdesc="A portable, modular, small, and efficient FTP server"
+url="http://www.wzdftpd.net"
+license='GPL'
+depends="openssl"
+makedepends="cmake mysql-dev sqlite-dev tcl-dev openssl-dev flex"
+source="http://alpine.nethq.org/clandmeter/wzdftpd-svn2040.tar.gz
+wzdftpd-svn.initd"
+subpackages=""
+
+build() {
+ mkdir "$srcdir/${pkgname}"
+ mv "$srcdir/wzdftpd-src" "$srcdir/${pkgname}/"
+ cd "$srcdir/${pkgname}/"
+ cmake \
+ -D CMAKE_INSTALL_PREFIX:PATH=/usr \
+ -D WITH_DUPECHECK:BOOL=ON \
+ -D WITH_SFV:BOOL=ON \
+ -D BUILD_TESTING:BOOL=OFF \
+ -D WITH_Zeroconf:BOOL=ON \
+ -D TCL_LIBRARY:FILEPATH=/usr/lib/libtcl8.5.so \
+ -D WITH_PAM:BOOL=OFF \
+ -D WITH_PerlDev:BOOL=OFF \
+ -D CONF_INSTALL_PATH:PATH=/etc/wzdftpd \
+ ./wzdftpd-src || return 1
+ make || return 1
+ make DESTDIR="$pkgdir/" install
+ mv $pkgdir/usr/var $pkgdir/
+ sed -i -e 's|usr/var|var|' \
+ -e 's|usr/etc|etc|' \
+ -e 's|usr//etc|etc|' \
+ -e 's|#pid_file|pid_file|' \
+ $pkgdir/etc/wzdftpd/wzd.cfg.sample
+ install -Dm 755 "$startdir"/$pkgname.initd $pkgdir/etc/init.d/wzdftpd
+}
+
+md5sums="4bdb2fcaa4ca316261e9f77380818769 wzdftpd-svn2040.tar.gz
+f2da00545b44a1a2c971d21be3b54142 wzdftpd-svn.initd"
diff --git a/wzdftpd/wzdftpd-svn.initd b/wzdftpd/wzdftpd-svn.initd
new file mode 100644
index 0000000000..4f58d5b3f1
--- /dev/null
+++ b/wzdftpd/wzdftpd-svn.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ use dns
+}
+
+checkconfig() {
+ if [ ! -f /etc/wzdftpd/wzd.cfg ] ; then
+ eerror "No /etc/wzdftpd/wzd.cnf file exists!"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting wzdftpd"
+ /usr/sbin/wzdftpd >/dev/null 2>&1 &
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping mysqld"
+ start-stop-daemon --stop --quiet \
+ --pidfile=/var/run/wzdftpd/wzdftpd.pid --retry 20
+ eend $?
+}
+